Triggers POST Action

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/trigger_posts

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

application/json

Body

  • id number Required

Responses

  • 202 application/json

    Accepted

    Hide response attribute Show response attribute object
    • id number Required

      causes post trigger

  • 207

    Multi-Status

POST /profiles/{profile_id}/pages/{page_id}/trigger_posts
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v80/[servername]/profiles/self/pages/{page_id}/trigger_posts' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '[
  {
    "id": 78
  },
  {
    "id": 81
  }
]'
Request example
[
  {
    "id": 78
  },
  {
    "id": 81
  }
]
Response examples (202)
[
  {
    "id": 78
  },
  {
    "id": 81
  }
]